Bug 16748 - Batch checkout needs set due date
Summary: Batch checkout needs set due date
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement with 20 votes (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 16113 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-15 22:23 UTC by Agnes Rivers-Moore
Modified: 2020-11-16 14:16 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Add the ability to specify the due date during a batch checkout, to prevent the default loan period to be used.
Version(s) released in:
20.11.00


Attachments
Bug 16748: Add the ability to define due date in batch checkout (2.53 KB, patch)
2020-08-04 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (2.62 KB, patch)
2020-08-04 15:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (2.72 KB, patch)
2020-08-04 15:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (4.51 KB, patch)
2020-08-04 15:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (5.00 KB, patch)
2020-08-06 07:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (3.35 KB, patch)
2020-08-06 07:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (3.41 KB, patch)
2020-08-11 15:20 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 16748: Add the ability to define due date in batch checkout (3.47 KB, patch)
2020-08-16 08:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Agnes Rivers-Moore 2016-06-15 22:23:28 UTC
I really looked forward to Batch Checkout. Thanks for creating it!
Now I have tried it there is one enhancement I would like to see.
There is no way to specify the due date, the way you can in checkout by selecting a date from the calendar.
We tried setting a date in checkout before going to the batch checkout tab but the selected date is not used - it uses the default loan period.
Comment 1 Jessie Zairo 2016-11-10 16:16:46 UTC
Yes, it would be great to have a way to specify the due date for batch checkout.
Comment 2 Rob Corp 2017-05-22 10:26:28 UTC
Yes, as it happens all our batch issues require a specific date.
Comment 3 Fiona Borthwick 2017-08-24 15:22:11 UTC
Some of our customers are using this Batch Checkout feature but would really like to be able to specify a due date. This would be a really good enhancement.
Comment 4 c.cochrane 2017-08-24 15:25:18 UTC
This would be such a helpful feature for us! Mass issuing of orchestral sets for after performance dates has been great via batchcheck-out, but having to go back in to renew to a different date is a faff. Would be great to see this development!
Comment 5 Emma Perks 2017-10-30 11:28:40 UTC
Would like to request this enhancement also.
Comment 6 BASE Library Consortium 2019-03-05 15:26:36 UTC
*** Bug 16113 has been marked as a duplicate of this bug. ***
Comment 7 Marjorie Barry-Vila 2019-12-20 16:08:59 UTC
+1
Comment 8 Agnes Rivers-Moore 2020-05-29 13:58:30 UTC
With COVID, returned items are being sent to quarantine, and this enhancement is suddenly more urgent.
We use batch checkout to rapidly check in items from the borrower, and out to a Quarantine "patron", while bypassing all holds or other prompts.
The quarantine period is different for some items than normal, may be longer if returning from a long term care home, shorter if they were in the drop box for a day already.  Hoping someone will consider working on this soon.
Comment 9 Jonathan Druart 2020-08-04 14:58:29 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2020-08-04 15:01:47 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2020-08-04 15:04:51 UTC
Created attachment 107783 [details] [review]
Bug 16748: Add the ability to define due date in batch checkout

This patch allows the librarian to pick the due date when batch checkout

Test plan:
Batch checkout using a hard due date
=> Notice that the due date is taken into account
Batch checkout the same barcodes with a different due date, to trigger the confirmation step
=> Notice that the due date is taken into account for the renewals
Comment 12 Jonathan Druart 2020-08-04 15:07:14 UTC Comment hidden (obsolete)
Comment 13 Henry Bolshaw 2020-08-05 16:09:17 UTC
I've tried testing this patch using a sandbox but I can't see the due date picker on the batch checkout screen. I'm new to the sandbox so it's possible I've made a mistake applying the patch.
Comment 14 Henry Bolshaw 2020-08-05 20:22:57 UTC
The patch doesn't add a due date picker to batch checkout. Instead it adds one to the batch renew page. Is this a copy and paste issue from the very similar patch for for bug 16112?
Comment 15 Jonathan Druart 2020-08-06 07:19:11 UTC Comment hidden (obsolete)
Comment 16 Jonathan Druart 2020-08-06 07:22:52 UTC
Created attachment 107864 [details] [review]
Bug 16748: Add the ability to define due date in batch checkout

This patch allows the librarian to pick the due date when batch checkout

Test plan:
Batch checkout using a hard due date
=> Notice that the due date is taken into account
Batch checkout the same barcodes with a different due date, to trigger the confirmation step
=> Notice that the due date is taken into account for the renewals
Comment 17 Jonathan Druart 2020-08-06 07:26:02 UTC
I introduced a last minute change that broke the patch. It should work correctly now.
Comment 18 PTFS Europe Sandboxes 2020-08-11 15:20:42 UTC
Created attachment 108079 [details] [review]
Bug 16748: Add the ability to define due date in batch checkout

This patch allows the librarian to pick the due date when batch checkout

Test plan:
Batch checkout using a hard due date
=> Notice that the due date is taken into account
Batch checkout the same barcodes with a different due date, to trigger the confirmation step
=> Notice that the due date is taken into account for the renewals

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>
Comment 19 Henry Bolshaw 2020-08-11 15:29:37 UTC
Thanks Jonathan, I was able to set a due date for batch checkout and can confirm that the due date set applies for any items renewed as well. Is that what you mean by a 'hard due date'? I wasn't sure why the label says 'hard due date' rather than 'Specify due date'.
Comment 20 Jonathan Druart 2020-08-12 07:59:08 UTC
Hi Henry, thanks for testing!

I used "Hard due date" because it's what we use in the "Batch extend due dates" tool. I also used this term on bug 16112. I can modify it if you think it's confusing.
Comment 21 Katrin Fischer 2020-08-16 08:30:18 UTC
Created attachment 108344 [details] [review]
Bug 16748: Add the ability to define due date in batch checkout

This patch allows the librarian to pick the due date when batch checkout

Test plan:
Batch checkout using a hard due date
=> Notice that the due date is taken into account
Batch checkout the same barcodes with a different due date, to trigger the confirmation step
=> Notice that the due date is taken into account for the renewals

Signed-off-by: Henry Bolshaw <bolshawh@parliament.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Katrin Fischer 2020-08-16 08:31:02 UTC
The GUI could be improved a bit, but overall this is a nice clean patch for a long-wanted functionality :)
Comment 23 Jonathan Druart 2020-08-17 15:23:04 UTC
(In reply to Katrin Fischer from comment #22)
> The GUI could be improved a bit

What do you suggest?
Comment 24 Katrin Fischer 2020-08-17 16:35:45 UTC
Overall it's not our best of GUIs - the labels wrap on multiple lines. I was thinking maybe it would be nice to keep the label short and a hint below of after the fields.
Comment 25 Owen Leonard 2020-08-17 16:48:18 UTC
(In reply to Katrin Fischer from comment #24)
> Overall it's not our best of GUIs

I agree. Not the fault of the patch of course, but the page could use improvement. I thought the same thing while testing this patch.
Comment 26 Jonathan Druart 2020-08-18 15:45:57 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 27 Lucas Gass 2020-09-04 15:36:10 UTC
enhancement will not be backported to 20.05.x